import javax.swing.*;

class fb extends f_x
{ public double fonksiyon(double x)
   { return 0.2+25.0*x-200.0*x*x+675.0*x*x*x-900.0*x*x*x*x+400.0*x*x*x*x*x;}}

public class H8Ex3 {
public static void main(String args[])
{ fb ff=new fb();
  double a=0.0;
  double b=0.8;
 String yazi="2 nokta[-1.0-1.0] aralığı formülü a ="+a+"b="+b+" integral(f,a,b) = "+sayisal.integral(ff,a,b,2);
     yazi+="\n2 nokta[a,b] aralığı formülü a ="+a+"b="+b+" integral(f,a,b) = "+sayisal.integral1(ff,a,b,2);
 String s1="2 noktalı gauss-legendre sayısal integrali  :";
 JOptionPane.showMessageDialog(null,yazi,s1,JOptionPane.PLAIN_MESSAGE);
    yazi="3 nokta[-1.0,-1.0] aralığı formülü a ="+a+"b="+b+" integral(f,a,b) = "+sayisal.integral(ff,a,b,3);
 yazi+="\n3 nokta[a   , b  ] aralığı formülü a ="+a+"b="+b+" integral(f,a,b) = "+sayisal.integral1(ff,a,b,3);
 s1="3 noktalı gauss-legendre sayısal integrali  :";
 JOptionPane.showMessageDialog(null,yazi,s1,JOptionPane.PLAIN_MESSAGE);
}
}
